//== Flash ==
#include <EEPROM.h>

#define Adresse 0    // EEPROM Adresse

//== WLAN ==
#include <ESP8266WiFi.h>
#include <time.h>

const char* const PROGMEM ntpServer[]  =  {"fritz.box", "de.pool.ntp.org", "at.pool.ntp.org", "ch.pool.ntp.org", "ptbtime1.ptb.de", "europe.pool.ntp.org"};


//== Schrittmotor Pins ==
#define PIN_IN1 D4   // Blau
#define PIN_IN2 D3   // Pink
#define PIN_IN3 D2   // Gelb
#define PIN_IN4 D1   // Orange
// rot (VCC)

void run(int8_t step);
void rollos();
void stop();

byte status = 99;
byte Data;
// uint32_t sleepCount = 0;

void setup()
{
  wlan_start();
  uhrzeit_konfigurieren(); // hole Aktuelle Uhrzeit
  pin_konfig();

  Serial.begin(115200);
  loadConfig();

  Serial.println("start");
}

void loop()
{
  ArduinoOTA.handle();

  rollos();
  uhrzeit();
}
